body
{
    overscroll-behavior: none;
}

#TopContainer {
    display: flex;
    width: 100%;
    height: 100px;
}

#SpectrumCanvas {
    width: 50%;
    height: 100px;
}

#SecondCount {
    width: 50%;
    font-size: 80px;
    text-align: right;
    padding-right: 10px;
}

#result {
    width: 100%;
    height: 60px;
}

#dBMode {
    width: 50%;
    height: 30px;
}

#EachPunchCountContainer {
    display: flex;
    width: 100%;
    height: 100px;
    margin-bottom: 15px;
}

    #EachPunchCountContainer .EachPunchCount {
        width: 100%;
        height: 100%;
        font-size: 70px;
        text-align: center;
    }

    #LightPunchCount {
        color: mediumslateblue;
    }

    #MediumPunchCount {
        color: darkcyan;
    }

    #HardPunchCount {
        color: darkmagenta;
    }
    
#TotalPunchCount {
    width: 100%;
    height: 250px;
    font-size: 200px;
    font-weight: bold;
    text-align: center;
    color: mediumslateblue;
}

#CounterButtonContainer {
    display: flex;
    width: 100%;
    height: 60px;
    margin-bottom: 15px;
}

    #CounterResetButton {
        padding: 0 20px;
        height: 100%;
    }

    #CounterButtonContainer .PunchStrengthButton {
        padding: 0 20px;
        margin-left: 7px;
        height:100%;
    }
    
.FunctionButtonContainer {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    height: 40px;
    margin-bottom: 10px;
}

    .FunctionButtonContainer .FunctionButton {
        padding: 0 20px;
        margin: 0 7px;
        width: 40%;
        height: 100%;
    }
    
    .FunctionButtonContainer .FunctionButton3 {
        padding: 0 20px;
        margin: 0 7px;
        width: 25%;
        height: 100%;
    }
    
#PunchdBHistory {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    height: 100px;
    font-size: 12px;
}